# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=python-pep517
pkgver=0.12.0
pkgrel=2
pkgdesc="Wrappers to build Python packages using PEP 517 hooks"
arch=('x86_64')
url="https://github.com/takluyver/pep517"
depends=('python-tomli')
makedepends=('python-setuptools')
source=(https://pypi.io/packages/source/p/${pkgname#*-}/${pkgname#*-}-${pkgver}.tar.gz)
sha256sums=(931378d93d11b298cf511dd634cf5ea4cb249a28ef84160b3247ee9afb4e8ab0)

prepare() {
    cd ${pkgname#*-}-${pkgver}

    sed -i "s/ '--ignore-installed',//" pep517/envbuild.py
}

build() {
    cd ${pkgname#*-}-${pkgver}

    python3 setup.py build
}

package() {
    cd ${pkgname#*-}-${pkgver}

    python3 setup.py install --root=${pkgdir} --optimize=1 --skip-build
}
